## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <root>

`<root>` | (root node) represents the root node of a tree.

Attributes

(In addition to global attributes)

`label` | gives a label for a root node.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED

`value` | provides the value of the root, which is a feature structure or other analytic element.
| Datatype: IDREF
| Values: A valid identifier of a feature structure or other analytic element.
| Default: #IMPLIED
`children` | provides a list of identifiers of the elements which are the children of the root node.
| Datatype: IDREFS
| Values: A list of valid identifiers.
| Default: #IMPLIED
Note | If the root has no children (i.e., the tree is `trivial'), then the `children` attribute must be omitted. For technical reasons, it cannot be specified as `<root children=''>`.
`ord` | indicates whether or not the root is ordered.
| Datatype: (Y | N)

Legal values are:

Y | indicates that the children of the root are ordered.
N | indicates that the children of the root are unordered.

| Default: #IMPLIED
Note | Use if and only if `ord=partial` is specified on the `<tree>` tag and the root has more than one child.
`outDegree` | gives the out degree of the root, the number of its children.
| Datatype: CDATA
| Values: A nonnegative integer.
| Default: #IMPLIED
Note | The in degree of the root is always 0.

Example

    <root id="vp1" label="VP" children="vb1 pn1" outDegree="2"/>

Module Declared in file teinet2; Additional tag set for Graph Theory: enabled by TEI.nets
Data Description empty
May occur within tree
Declaration

    <!ELEMENT root %om.RO; EMPTY>
    <!ATTLIST root
          %a.global;
          label CDATA #IMPLIED
          value IDREF #IMPLIED
          children IDREFS #IMPLIED
          ord (Y | N) #IMPLIED
          outDegree CDATA #IMPLIED>

See further 21.2 Trees

Up: 35 Elements